Skip to content

AppListMetaobjectFields

GET
/apps/custom-data/metaobjects/{type}/fields
curl --request GET \
--url https://your-store.myciqra.com/apps/custom-data/metaobjects/example/fields \
--header 'Authorization: Bearer <token>'

Required scope: read_metaobjects — an installation token without it receives 403.

type
required
string

OK

Media typeapplication/json
Array<object>
object
description
required
null | string
key
required
string
name
required
string
position
required
integer | string format: int32
/^-?(?:0|[1-9]\d*)$/
required
required
boolean
type
required
string
validations
One of:
null
Examplegenerated
[
{
"description": "example",
"key": "example",
"name": "example",
"position": 1,
"required": true,
"type": "example",
"validations": {
"allowed": [
"example"
],
"fileTypes": [
"example"
],
"max": 1,
"maxFileMb": 1,
"min": 1,
"regex": "example"
}
}
]

Not Found